Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTextEdit.LineWrapMode

    java.lang.Object
      java.lang.Enum<QTextEdit.LineWrapMode>
          com.trolltech.qt.gui.QTextEdit.LineWrapMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextEdit.LineWrapMode>

Enclosing class:
  QTextEdit

    public static enum QTextEdit.LineWrapMode

extends java.lang.Enum<QTextEdit.LineWrapMode>
implements QtEnumerator

Press link for info on QTextEdit.LineWrapMode

Enum Constant Summary
`FixedColumnWidth` Internal.
`FixedPixelWidth` Internal.
`NoWrap` Internal.
`WidgetWidth` Internal.

Method Summary
`static QTextEdit.LineWrapMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextEdit.LineWrapMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextEdit.LineWrapMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoWrap

    public static final QTextEdit.LineWrapMode NoWrap

  Internal.

### WidgetWidth

    public static final QTextEdit.LineWrapMode WidgetWidth

  Internal.

### FixedPixelWidth

    public static final QTextEdit.LineWrapMode FixedPixelWidth

  Internal.

### FixedColumnWidth

    public static final QTextEdit.LineWrapMode FixedColumnWidth

  Internal.

Method Detail

### values

    public static final QTextEdit.LineWrapMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextEdit.LineWrapMode c : QTextEdit.LineWrapMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextEdit.LineWrapMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextEdit.LineWrapMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD